summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-10-24 00:28:37 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-10-24 00:28:37 +0000
commit09c988facfc63ad3f78089328262924bf6df5506 (patch)
tree13560801a9338137e637956f96056a6fb2f0ca3a /dev-python
parente7814c9c07964c859d6eb0909a9bec31506b46e6 (diff)
downloadsrcux-09c988facfc63ad3f78089328262924bf6df5506.tar.gz
srcux-09c988facfc63ad3f78089328262924bf6df5506.tar.xz
srcux-09c988facfc63ad3f78089328262924bf6df5506.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/GitPython/GitPython-3.1.11.ebuild58
-rw-r--r--dev-python/GitPython/Manifest2
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.16.4.ebuild56
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.19.4.ebuild59
-rw-r--r--dev-python/cfn-python-lint/Manifest1
-rw-r--r--dev-python/cfn-python-lint/cfn-python-lint-0.39.0.ebuild48
-rw-r--r--dev-python/django-otp/Manifest1
-rw-r--r--dev-python/django-otp/django-otp-1.0.2.ebuild36
-rw-r--r--dev-python/owslib/Manifest1
-rw-r--r--dev-python/owslib/files/owslib-0.20.0-no-privacybreach.patch41
-rw-r--r--dev-python/owslib/owslib-0.20.0.ebuild42
-rw-r--r--dev-python/pandocfilters/Manifest1
-rw-r--r--dev-python/pandocfilters/pandocfilters-1.4.3.ebuild17
-rw-r--r--dev-python/pygame/Manifest1
-rw-r--r--dev-python/pygame/pygame-2.0.0_pre22.ebuild91
-rw-r--r--dev-python/pyproj/Manifest1
-rw-r--r--dev-python/pyproj/files/pyproj-2.6.1_p1-tests.patch58
-rw-r--r--dev-python/pyproj/pyproj-2.6.1_p1.ebuild52
-rw-r--r--dev-python/qscintilla-python/qscintilla-python-2.11.5.ebuild2
-rw-r--r--dev-python/semver/Manifest1
-rw-r--r--dev-python/semver/semver-2.10.2.ebuild3
-rw-r--r--dev-python/semver/semver-2.13.0.ebuild27
24 files changed, 598 insertions, 3 deletions
diff --git a/dev-python/GitPython/GitPython-3.1.11.ebuild b/dev-python/GitPython/GitPython-3.1.11.ebuild
new file mode 100644
index 000000000000..514877b42995
--- /dev/null
+++ b/dev-python/GitPython/GitPython-3.1.11.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+TEST_P=GitPython-${PV}
+GITDB_P=gitdb-4.0.5
+SMMAP_P=smmap-3.0.4
+
+DESCRIPTION="Library used to interact with Git repositories"
+HOMEPAGE="https://github.com/gitpython-developers/GitPython https://pypi.org/project/GitPython/"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz
+ test? (
+ https://dev.gentoo.org/~mgorny/dist/${TEST_P}.gitbundle
+ https://dev.gentoo.org/~mgorny/dist/${GITDB_P}.gitbundle
+ https://dev.gentoo.org/~mgorny/dist/${SMMAP_P}.gitbundle
+ )"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-vcs/git
+ >=dev-python/gitdb-4.0.1[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ >=dev-python/ddt-1.1.1[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests unittest
+
+src_test() {
+ git config --global user.email "you@example.com" || die
+ git config --global user.name "Your Name" || die
+
+ git clone "${DISTDIR}/${TEST_P}.gitbundle" "${T}"/test || die
+ git clone "${DISTDIR}/${GITDB_P}.gitbundle" \
+ "${T}"/test/git/ext/gitdb || die
+ git clone "${DISTDIR}/${SMMAP_P}.gitbundle" \
+ "${T}"/test/git/ext/gitdb/gitdb/ext/smmap || die
+
+ cd "${T}"/test || die
+ rm -r test/performance || die
+ # tests requiring network access
+ sed -i -e 's:test_fetch_error:_&:' test/test_remote.py || die
+ rm test/test_installation.py || die
+ # broken apparently (also fails in git clone)
+ sed -e 's:test_rev_parse:_&:' \
+ -i test/test_repo.py || die
+
+ distutils-r1_src_test
+}
diff --git a/dev-python/GitPython/Manifest b/dev-python/GitPython/Manifest
index a623417a426a..ec87dcc2317c 100644
--- a/dev-python/GitPython/Manifest
+++ b/dev-python/GitPython/Manifest
@@ -1,3 +1,5 @@
+DIST GitPython-3.1.11.gitbundle 4421698 BLAKE2B 96a4be2b12149c34f0e81580cb8906920a107f9856da585779f8d13590fb14c838a5e73d8831692ea81dd0ed73e17cdab1020b50cb49c7f193d54c1e838d9385 SHA512 64a443e0c517627045d98f7a60b6cdd817f6af3d12f5619cca7c4e24f9ce42018c2aca427365d633e4aaeb5e99d99a944d85b2286c34be1c17e85e441d9693c3
+DIST GitPython-3.1.11.tar.gz 170908 BLAKE2B b327f38bbe9d92caf8b5ba6f3c1e353ad00bad2c3e7b3ae59991eaee5a5dd9f228fd80b86fd7e908fa71563e369d7340070ddc0e093549bfc8378cdf20ba9723 SHA512 fe4baf9c8b3668f29fbc476ec2ba0a8d58a50ffe596b9f3037ddb4cb5c0c7faf0d34c6efac7567074f1b28b866e42dad19c91a5381eef606d3b3ff74b77649de
DIST GitPython-3.1.8.gitbundle 4418113 BLAKE2B b6c2154b8f1eadc005055c8c04a9c2ee5e9b365bcbb258cf24d676aa5e1d7f598c26c5404606f8c48d2e2165615e6cf4b3006f071cc3a3bb2047990d232f16d2 SHA512 d506bc72ae10227fde57c8497ad41a2da9e9b4613b3b98ca6a0d48cf8286bdc3e9d71284a5fededd2df075042a12dd8074e07c32defda707865c129dc83b7247
DIST GitPython-3.1.8.tar.gz 170582 BLAKE2B 0ca3111ce09259b9b071d43b06715b187a6f428dd81002c57215c60e720447007220536f51d681c5468ebe91a4144769b57f6a8c80d29683c26f0f07d984d765 SHA512 8848b58738d7dd33b8c3186d9db0eb41a6e428050f4fe170351e42c941c9586ba4999bf5083fbbe2b7ce73a668a0f62cfb19be013f470c7b8f0733d07d9bee32
DIST gitdb-4.0.5.gitbundle 1497722 BLAKE2B 8ee85368db7f408f96f0b48250f1ed96c8df28b0439d355ce2eecbdcc5dc94382883510c57142e7e4b6ba7cd8e82b1140eca538b45692dbe8c55bce32e1b5b4f SHA512 2c55a8e402a61ebcc362a8aee4a6154705d8ff2f5e582d13c855562dd074427681f4147641fe76681b76c99ec46040c7577dfca8bbfd575fc52772a9a6f17326
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 51d0df48bd0b..1382a6ca1378 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -5,3 +5,4 @@ DIST boto3-1.15.18.tar.gz 336927 BLAKE2B 0ddc7fbd0fffcbeafeee7b9aa0f699087369f31
DIST boto3-1.16.1.tar.gz 337145 BLAKE2B 553b20514d268be967b80cab9694085d8cd3456277d459cf0f92943274eac8cf8fc23b4ed9dc92a9c04f02e3f1f1fd483f71111c9e0cfa22e989098ca5fa762d SHA512 6f8d1848fb89e841054cba6c295b7ccce7fab37ba5312a0b5f87588c8cf9d61124b3988c4565a4b055976ffafdb8ed7fc9268a21ac3160e80ffdf739c8e1609a
DIST boto3-1.16.2.tar.gz 337212 BLAKE2B ebde42cf6b6fec3f00df6cf7e9f8769a2a8295aba0960708d4fb97b0cea4ed68ca5ea698b42485c94dacf0dfbca2fefe12ed878d027eeccee53fdf844afab48e SHA512 305dbbbf5beba3503ae3c4f6ad02ecd7cd55057d19c5c8081dbbb00a620e4a4a1dc55df111e5078ed8172d706f9f868675cd110024d0a8303fba7bf1195cd9cc
DIST boto3-1.16.3.tar.gz 337217 BLAKE2B f088b596561156823a8caa5b0053688bdac8bdf3f2a54ff0bfd3724fe563493a681c4a16c5a85f990d3edad6c31cb1f0ec7a1fd01deb325a30a1623cc0f1439e SHA512 7bb5ac693a6a0a938c4c83e94cb82dc02fed5edd4709f28961f7123103b38ffb24975c7861d50ebe773fb318f7225442911c8c55b7a621301f270a25f796f104
+DIST boto3-1.16.4.tar.gz 337331 BLAKE2B 2b8e43617aea15ec041b1d60647852e80929e78fc8c9aef3168f235cf14a41d48490dc8ae0dec42ad98c5776476a3b5502f232477e652bd7c502deda34b50efb SHA512 e63e1eb87ed291989386ca33d5bfacd05d13ae49fb1c7dbfd6a57c3affbaa5a4f17c690ecaa113a9638488ffa90e545c858ac054f0d43caa23288a7d944e3bcb
diff --git a/dev-python/boto3/boto3-1.16.4.ebuild b/dev-python/boto3/boto3-1.16.4.ebuild
new file mode 100644
index 000000000000..12584b2fba42
--- /dev/null
+++ b/dev-python/boto3/boto3-1.16.4.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 0810416ed28a..a99c84cc2889 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -5,3 +5,4 @@ DIST botocore-1.18.18.tar.gz 6942407 BLAKE2B e58183d5aa79a210d82c1dc21806c9c86f9
DIST botocore-1.19.1.tar.gz 6944577 BLAKE2B ade1c8c3318971f25220d2c5bf82879d9a1cf30ed49066d4d13bf04351dc2fa7a910fcba6dba248d33bcf3e244c8b99c7df66cc3edc6f65b38b8ff2412a68e34 SHA512 e0fd4e8c4fca53c7e034e840ffd9f362c3a41a898188980a382d528334204d13a9dcd597b4a1eb8ce792ffb31e31213167b8e6e952353c339612755b88c1c635
DIST botocore-1.19.2.tar.gz 6949309 BLAKE2B 0d13155e32bc44578df8b372ccdceddc13d5012696245f441e0b935c0a58c8f78e38c9aabe03e242159cbc45d8034fe1bfaffc545ce5d2d95aa2a765c778e36a SHA512 88486e813e476b789b7c0b9fa74bc95ac2a67818439f2ff2564fe30c988ec0fb9be8a2f9c2ebce9418d1eeda4c88c94d6d3ec37cec185d48a388577fc2458c88
DIST botocore-1.19.3.tar.gz 6950797 BLAKE2B f8f97e699e9b31cf56d8a35ff75831e9c545abe1980e4e4af3453c83be6ff6efa51fb9368e984fc871bd1123df283940d42c7adced672bdf21d7a13c3bc6f9b1 SHA512 8eaf72543c5a5e2e4a08cc6998c71971ee9e70d476e384b66472ec2f16d204ae70056925bba1e1476fd55a272750e4907a617e38a96e1b4324e172081a9c1b54
+DIST botocore-1.19.4.tar.gz 6952148 BLAKE2B 96865c9d3a7d1429a6894a7cc06ed755d1f8ae5048ac32474bd1e8aeca210cbe5bdcd036d08883d95064f092c5123e774f2dc27f491baaaea867210702dfc11c SHA512 486280528c45937a20f6202bcde8f039d163dc612aeee6cb1bff177fa7ceb38c1143d421f29fc66cc9ac450a554bf843b5799607d16775a517853a62b77bb450
diff --git a/dev-python/botocore/botocore-1.19.4.ebuild b/dev-python/botocore/botocore-1.19.4.ebuild
new file mode 100644
index 000000000000..ef5dd742ea0c
--- /dev/null
+++ b/dev-python/botocore/botocore-1.19.4.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/cfn-python-lint/Manifest b/dev-python/cfn-python-lint/Manifest
index ab7aba6976de..209e6b41e969 100644
--- a/dev-python/cfn-python-lint/Manifest
+++ b/dev-python/cfn-python-lint/Manifest
@@ -3,3 +3,4 @@ DIST cfn-python-lint-0.35.1.tar.gz 4501826 BLAKE2B 84da0965fc198ce7b8f955a7d43f9
DIST cfn-python-lint-0.36.1.tar.gz 4963743 BLAKE2B 31efc227bf2b5aafff0365d0ca949e4007684dd896e6e8a75afb692a260e05f6b134b9cc822855c99edec7398a1cdd767a71557ef7178ff9054c4e737a5a5ec5 SHA512 4682b7a010875df2322856e9a01aa547fcce171c5bb7531ee35d92bcf0cfc523f78b4180fcc6a6c4a1460d5b517e834ce0e0026fa6c2f6afb9ebf3b3c46434bd
DIST cfn-python-lint-0.37.1.tar.gz 5005775 BLAKE2B f393f4b871a8782e81f71a1a2d011d5d59dee287fa305d1b6c82ac366e7975e5ff02ce96949501ed883c2b86cc6547d148d19d5153bf1b77a675a1b8c33ba96d SHA512 8e2d3419142527431835f935f96bea972057eb471894ddc2b3867ce3cbe490d540fe9b1490b79c84042eba8e5f997cab1aae5aff862aaefeda38351babb04a2f
DIST cfn-python-lint-0.38.0.tar.gz 5030920 BLAKE2B 3df51d77753ad8f2d8ea76ee2ac8b0c7e89ece043c75503272ee2683dee3a6280ff4f27c3df813b2532b3ee495b3a336b1c82ef649255cf1adea34bcc2fcf7db SHA512 1daf122735a22121e22f448c5867715507ef776a4fb7748c092818302e3226bcd368f03bad22709808864376bd63a916c66a8800a859da7c4d1deae40feaca2d
+DIST cfn-python-lint-0.39.0.tar.gz 5096885 BLAKE2B 50fe41b1dd533c10a011d4729e78241d0153389cd9eda2c887181b62341d5ff38eba223606c2f9e725dfb1a6c934b5f044a236fb2044368a413d434eefd097c4 SHA512 d48116aeefd996943aa1408c76574ec137e96447c7b8950bb1726ff00819611ad6179a8af820ee4d16f493455cf55110e90b78b6d4325036e955529dedf7807f
diff --git a/dev-python/cfn-python-lint/cfn-python-lint-0.39.0.ebuild b/dev-python/cfn-python-lint/cfn-python-lint-0.39.0.ebuild
new file mode 100644
index 000000000000..a9bf8c99f9ac
--- /dev/null
+++ b/dev-python/cfn-python-lint/cfn-python-lint-0.39.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="https://pypi.org/project/cfn-lint/ https://github.com/aws-cloudformation/cfn-python-lint"
+SRC_URI="https://github.com/aws-cloudformation/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.25.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' python3_6)
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ "${FILESDIR}/cfn-python-lint-0.30.1-tests.patch"
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ # requires git checkout
+ sed -e 's:test_update_docs:_&:' \
+ -i test/unit/module/maintenance/test_update_documentation.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ distutils_install_for_testing
+ "${EPYTHON}" -m unittest discover -v ||
+ die "tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/django-otp/Manifest b/dev-python/django-otp/Manifest
index 649a07a9b88e..9e39b625c6bf 100644
--- a/dev-python/django-otp/Manifest
+++ b/dev-python/django-otp/Manifest
@@ -1 +1,2 @@
DIST django-otp-1.0.1.gh.tar.gz 66717 BLAKE2B 6eb24baf21667af5fe5200a91d320884b1fa37b78def9b543b3411f75de97226d0f40ce53f06391d7cfc9f5ad4020a14e472f9a1abe89844778ef69a2f3b5b72 SHA512 981d374ed4dacf3edd33dc1437465de7458ec243e1ace0b87425ec2b01a51fe4cee3545d1bbe53d7c924c5981b76f7ca77b5da2cf5d6f170f2f7435cff991337
+DIST django-otp-1.0.2.gh.tar.gz 66885 BLAKE2B be98b68f0aa5df25835afa28a23d25e0353dc2d556e62bdf1610a44a409a8e48422e17f274b21eb7cbd421cc4a25a35d01e5d7b3bd99d9caec8c8060da26f57a SHA512 6fe7f79858bdf362dd35e1aeb87c086edd5daf17d4429fc4cb39f3d287ee4c7cf8fb2d6d8f6a7d1b4606104d6732a705b9285f9fec93e4e7c7ca3f3f52541ddd
diff --git a/dev-python/django-otp/django-otp-1.0.2.ebuild b/dev-python/django-otp/django-otp-1.0.2.ebuild
new file mode 100644
index 000000000000..1537bd8dd0ba
--- /dev/null
+++ b/dev-python/django-otp/django-otp-1.0.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Django framework adding two-factor authentication using one-time passwords"
+HOMEPAGE="https://github.com/django-otp/django-otp/"
+SRC_URI="
+ https://github.com/django-otp/django-otp/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/django-2.2[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/qrcode[${PYTHON_USEDEP}]
+ ${RDEPEND}
+ )"
+
+python_test() {
+ local -x PYTHONPATH=test:${PYTHONPATH}
+ local -x DJANGO_SETTINGS_MODULE=test_project.settings
+ django-admin test -v 2 django_otp || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/owslib/Manifest b/dev-python/owslib/Manifest
index 3a2e91c33f77..998270185a26 100644
--- a/dev-python/owslib/Manifest
+++ b/dev-python/owslib/Manifest
@@ -1 +1,2 @@
DIST owslib-0.17.1.tar.gz 898961 BLAKE2B e48b10a0bd9dc1e85588b8007261c47f9f754af9eeb7292d4a3fd9ce017309efbe0fc9951a42470a6938194e5903b12ffe286b140d906e1d281f5a2f739540ce SHA512 0772f7698d1d5c6989419a455e8b6d97b0fc9f04a48275b1179f5bcc0fe782620721e840969281941b0f0a3616d8220916090256bb177eff1b2a4df0e02e2caa
+DIST owslib-0.20.0.tar.gz 912319 BLAKE2B 9f6e44f76554d67756839bfad1cdce6e2e7a4db6c3517ed308256745a3ea1df77488718f307bcd59dfcae7bab7801ba1974131f358db1bd070846640ccf08ada SHA512 c30e14d0a310617d2dbcca436f38d4a942b8c5efb96506554e650b20b34580fd0119ae6bf17892bb09ceff7141b9cbfd32deb582d14d81b6518dbbc223116d07
diff --git a/dev-python/owslib/files/owslib-0.20.0-no-privacybreach.patch b/dev-python/owslib/files/owslib-0.20.0-no-privacybreach.patch
new file mode 100644
index 000000000000..45bcb8b38d18
--- /dev/null
+++ b/dev-python/owslib/files/owslib-0.20.0-no-privacybreach.patch
@@ -0,0 +1,41 @@
+Description: Fix privacy breaches.
+Author: Johan Van de Wauw <johan@vandewauw.be>
+
+--- a/docs/en/index.rst
++++ b/docs/en/index.rst
+@@ -5,11 +5,7 @@ OWSLib |release| documentation
+ .. toctree::
+ :maxdepth: 2
+
+-.. image:: https://www.openhub.net/p/owslib/widgets/project_partner_badge.gif
+- :width: 193px
+- :height: 33px
+- :alt: OWSLib
+- :target: https://www.openhub.net/p/owslib?ref=WidgetProjectPartnerBadge
++`OpenHUB <https://www.openhub.net/p/owslib?ref=WidgetProjectPartnerBadge>`_
+
+ :Author: Tom Kralidis
+ :Contact: tomkralidis at gmail.com
+--- a/docs/_templates/layout.html
++++ b/docs/_templates/layout.html
+@@ -3,20 +3,6 @@
+ {%- block extrahead %}
+ {{ super() }}
+
+-<script type="text/javascript">
+-
+- var _gaq = _gaq || [];
+- _gaq.push(['_setAccount', 'UA-32866201-1']);
+- _gaq.push(['_trackPageview']);
+-
+- (function() {
+- var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
+- ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
+- var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
+- })();
+-
+-</script>
+-
+ {% endblock %}
+
+ {% block relbar1 %}
diff --git a/dev-python/owslib/owslib-0.20.0.ebuild b/dev-python/owslib/owslib-0.20.0.ebuild
new file mode 100644
index 000000000000..a901ed6ac69c
--- /dev/null
+++ b/dev-python/owslib/owslib-0.20.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+inherit distutils-r1
+
+DESCRIPTION="Library for client programming with Open Geospatial Consortium web service"
+HOMEPAGE="https://geopython.github.io/OWSLib"
+SRC_URI="https://github.com/geopython/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+S="${WORKDIR}/OWSLib-${PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/pyproj[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+
+RESTRICT="test" # tests require WAN access
+
+PATCHES=( "${FILESDIR}/${P}-no-privacybreach.patch" )
+
+python_test() {
+ "${EPYTHON}" "${S}/setup.py" test || die
+}
diff --git a/dev-python/pandocfilters/Manifest b/dev-python/pandocfilters/Manifest
index e3752d42f8a2..b888f5d2a33e 100644
--- a/dev-python/pandocfilters/Manifest
+++ b/dev-python/pandocfilters/Manifest
@@ -1 +1,2 @@
DIST pandocfilters-1.4.2.tar.gz 14229 BLAKE2B 8d061435fc4368fe34f30d7ba7aa06a2b8f3bf94a94661aa120d3b0e9a3042e64bfb8f81a8731470417e436f52342b3a63ab4bb3144349ec9aa983cea9c5d4a4 SHA512 5e5c0fb18f163430e87750b88d38a5f0fa618b90c84bf08e6f295df3ddd46c1bbf35ec51514af8d6699c7dfc9f0b3ee9edd0484deeb05e5efb3b26e650b5ee1b
+DIST pandocfilters-1.4.3.tar.gz 16586 BLAKE2B 975000f96475e8338a54d8a96793a8bcfbf62c5251897a01c185a6708ff7c47f2a1bee617e4e25d3854e7de1d078769bbd887527beb20ebb7e06f0c4da59126c SHA512 9c7ae1329c103ff2baae3488edfcbfaba183bc94146b29e413e7e83ba2ff2dee69823138bf213f5c81a8b0097c2d9329bd05620b10c646662a9617aae7a528a9
diff --git a/dev-python/pandocfilters/pandocfilters-1.4.3.ebuild b/dev-python/pandocfilters/pandocfilters-1.4.3.ebuild
new file mode 100644
index 000000000000..523f06bb55ee
--- /dev/null
+++ b/dev-python/pandocfilters/pandocfilters-1.4.3.ebuild
@@ -0,0 +1,17 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Utilities for writing pandoc filters in python"
+HOMEPAGE="https://github.com/jgm/pandocfilters"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
diff --git a/dev-python/pygame/Manifest b/dev-python/pygame/Manifest
index ad1ce7cbea7c..3c80bad6d536 100644
--- a/dev-python/pygame/Manifest
+++ b/dev-python/pygame/Manifest
@@ -1,3 +1,4 @@
DIST pygame-1.9.6.tar.gz 3223131 BLAKE2B a4d04c933fcad244d32bd512ef8717e60ec923f361e9e0296b5c7d57c5949d3434a040d028249c5b8f3c865ac3dcdbb32e6f0b223186678595a8625213ba2a17 SHA512 d923c554203a7c35e37921658cb4c5bf50215ab0ff4d2b869a1ee6b2e2ca31d66ec4bbde4287f5a777838ffe932cd15b993cb0224b86e43d684de61c35acbcd0
DIST pygame-2.0.0.dev10.tar.gz 5567274 BLAKE2B 7d78f260318cfabeb33f1073ae210f890d2f772e3ef302f243cca67724c6012355644ba60d4cae6de72db6dd61d320177deff6ee83dd355ec4cc33e841b565f7 SHA512 4cee7599fd8a6d31ddd66bfaad3bbb67cb167c1ae339f37e83322d810fea8746e81a191c224a0eeb6cc43a64bf1730ff0886c82f1a4f642e2e656ca9a837bf9e
DIST pygame-2.0.0.dev18.tar.gz 5591175 BLAKE2B 3479e9161e4dc5f00123f359b29f5c133020578bd09fc972f3f2d9e55b1700f4ac5eccc904524e98fe827fa7ed871db130da1f7b9aa8a67da98f42562f2ee766 SHA512 dfa8ac023e5da1688825281dd06e22aa59fa7061dcf17b8ec1c8c84b2bda7e27d39a97be3375d9ccb15aa50a0096be74ef6c80614e5d71729157712463140af1
+DIST pygame-2.0.0.dev22.tar.gz 5596946 BLAKE2B 788a2e328d456198b032226f10b7d0686b7e862bf0106334ed3e26150ece43a1a9a9cbdc4f72f33e27d52e9f7c5e063292170eba9c07213474ecaf295280185a SHA512 2809f101dce256143a57f5b47aac2ceb3c2646301179c37e7545672784a7f8dfd74565d1f6a45c394f59bcfcef4a52473160bf94b494db79a982490a7ac19fd8
diff --git a/dev-python/pygame/pygame-2.0.0_pre22.ebuild b/dev-python/pygame/pygame-2.0.0_pre22.ebuild
new file mode 100644
index 000000000000..f5e1a3fd2808
--- /dev/null
+++ b/dev-python/pygame/pygame-2.0.0_pre22.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+MY_PV=${PV/_pre/.dev}
+MY_P=${PN}-${MY_PV}
+
+DESCRIPTION="Python bindings for SDL multimedia library"
+HOMEPAGE="https://www.pygame.org/"
+SRC_URI="
+ https://github.com/pygame/pygame/releases/download/${MY_PV}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc examples midi opengl test X"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]
+ media-libs/freetype
+ >=media-libs/sdl2-image-1.2.2
+ >=media-libs/sdl2-mixer-1.2.4
+ >=media-libs/sdl2-ttf-2.0.6
+ >=media-libs/smpeg2-0.4.4-r1
+ midi? ( media-libs/portmidi )
+ X? ( >=media-libs/libsdl2-1.2.5[opengl?,threads,video,X] )
+ !X? ( >=media-libs/libsdl2-1.2.5[threads] )"
+DEPEND="${RDEPEND}
+ test? (
+ media-libs/sdl2-image[gif,jpeg,png]
+ media-libs/sdl2-mixer[mp3,vorbis,wav]
+ )"
+# fontconfig used for fc-list
+RDEPEND+="
+ media-libs/fontconfig"
+# util-linux provides script
+BDEPEND="
+ test? (
+ media-libs/fontconfig
+ sys-apps/util-linux
+ )"
+
+src_prepare() {
+ if ! use midi; then
+ rm test/midi_test.py || die
+ fi
+ distutils-r1_src_prepare
+}
+
+python_configure() {
+ PORTMIDI_INC_PORTTIME=1 LOCALBASE="${EPREFIX}/usr" \
+ "${EPYTHON}" "${S}"/buildconfig/config.py -auto || die
+
+ # Disable automagic dependency on PortMidi.
+ if ! use midi; then
+ sed -e "s:^pypm :#&:" -i Setup || die "sed failed"
+ fi
+}
+
+python_test() {
+ local -x PYTHONPATH=${BUILD_DIR}/install/lib
+ local -x SDL_VIDEODRIVER=dummy
+ local -x SDL_AUDIODRIVER=disk
+ esetup.py install \
+ --root="${BUILD_DIR}"/install \
+ --install-lib=lib
+ script -eqc "${EPYTHON} -m pygame.tests" || die
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # Bug #497720
+ rm -fr "${D}"$(python_get_sitedir)/pygame/{docs,examples,tests}/ || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use doc; then
+ docinto html
+ dodoc -r docs/*
+ fi
+
+ use examples && dodoc -r examples
+}
diff --git a/dev-python/pyproj/Manifest b/dev-python/pyproj/Manifest
index 294e1a01904d..9ef79528f4d0 100644
--- a/dev-python/pyproj/Manifest
+++ b/dev-python/pyproj/Manifest
@@ -1 +1,2 @@
DIST pyproj-2.4.2.tar.gz 463252 BLAKE2B aa80ee3052f42f0d49d02b1dfa3d1790e02fe6aa4092319ff8e827b0a341cff2cb4779891f74919c2b14781d841b3662154882b5f218a22b55ad79397f3eb4a7 SHA512 20f0a742ea5699a6d7a621e93157512478de69ba740bb7b0df46b6d5668f6db93b07e1fc0bf4d089362275ea8edddf3100a972a533ed8b6a0bc56a04a20d4ef9
+DIST pyproj-2.6.1.post1.tar.gz 545482 BLAKE2B ba87cbbe93dad357c1fc4f333c7d3f02b632e6f2a00821b3875e73965f36fd7ea958f24705c125c3ae43dc8edac1b53a20578c46bc55bcbf335a9457d193d493 SHA512 43a885dbbf4ba54839c3b697d2582700e2b30172ef34acf6297b5e4ddba9b3148aeab83b3a515f1ce975898828c77ad457b6f6460e91083189f66a2fde6d77b7
diff --git a/dev-python/pyproj/files/pyproj-2.6.1_p1-tests.patch b/dev-python/pyproj/files/pyproj-2.6.1_p1-tests.patch
new file mode 100644
index 000000000000..69eb97ea2e04
--- /dev/null
+++ b/dev-python/pyproj/files/pyproj-2.6.1_p1-tests.patch
@@ -0,0 +1,58 @@
+From 5856cdacef62746594e17f69cb802a202d3fdfaa Mon Sep 17 00:00:00 2001
+From: "Alan D. Snow" <alansnow21@gmail.com>
+Date: Fri, 29 May 2020 07:41:44 -0500
+Subject: TST: Update tests with scope & remarks (#649)
+
+---
+ test/crs/test_crs.py | 16 +++++-----------
+ test/test_transformer.py | 10 +++++-----
+ 2 files changed, 10 insertions(+), 16 deletions(-)
+
+--- a/test/crs/test_crs.py
++++ b/test/crs/test_crs.py
+@@ -1261,17 +1261,11 @@ def test_operations():
+
+
+ def test_operations__scope_remarks():
+-
+- transformer = TransformerGroup(28356, 7856).transformers[0]
+- coord_op = CoordinateOperation.from_string(transformer.to_wkt())
+- assert coord_op.operations == transformer.operations
+- # scope does not transfer for some reason
+- # assert [op.scope for op in transformer.operations] == [
+- # op.scope for op in coord_op.operations
+- # ]
+- assert [op.remarks for op in transformer.operations] == [
+- op.remarks for op in coord_op.operations
+- ]
++ operation = TransformerGroup(28356, 7856).transformers[0].operations[1]
++ coord_op = CoordinateOperation.from_string(operation.to_wkt())
++ assert coord_op == operation
++ assert coord_op.remarks == operation.remarks
++ assert coord_op.scope == operation.scope
+
+
+ def test_crs_equals():
+--- a/test/test_transformer.py
++++ b/test/test_transformer.py
+@@ -536,15 +536,15 @@ def test_transformer__operations__scope_
+ transformer = TransformerGroup(28356, 7856).transformers[0]
+ assert transformer.scope is None
+ assert [op.scope for op in transformer.operations] == [
+- None,
++ "Large and medium scale topographic mapping and engineering survey.",
+ "Conformal transformation of GDA94 coordinates that have been derived through "
+ "GNSS CORS.",
+- None,
++ "Large and medium scale topographic mapping and engineering survey.",
+ ]
+- assert [str(op.remarks)[:5] for op in transformer.operations] == [
+- "None",
++ assert [str(op.remarks)[:5].strip() for op in transformer.operations] == [
++ "Grid",
+ "Scale",
+- "None",
++ "Grid",
+ ]
+
+
diff --git a/dev-python/pyproj/pyproj-2.6.1_p1.ebuild b/dev-python/pyproj/pyproj-2.6.1_p1.ebuild
new file mode 100644
index 000000000000..457c8d466c4f
--- /dev/null
+++ b/dev-python/pyproj/pyproj-2.6.1_p1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+inherit distutils-r1
+
+DESCRIPTION="Python interface to the PROJ library"
+HOMEPAGE="https://github.com/pyproj4/pyproj"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P/_p/.post}.tar.gz"
+
+S="${WORKDIR}/${P/_p/.post}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+IUSE="doc"
+
+RDEPEND=">=sci-libs/proj-6.2.0:="
+DEPEND="${RDEPEND}
+ dev-python/cython[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ sci-libs/shapely[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_sphinx docs dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ if has_version ">=sci-libs/proj-7.1"; then
+ eapply "${FILESDIR}"/${P}-tests.patch
+ fi
+ distutils-r1_python_prepare_all
+}
+
+distutils-r1_src_test() {
+ # workaround circular import error
+ # https://github.com/pyproj4/pyproj/issues/647
+ mkdir ../mytest || die
+ cp -r test ../mytest || die
+ cd ../mytest || die
+ _distutils-r1_run_foreach_impl python_test
+ _distutils-r1_run_foreach_impl _distutils-r1_clean_egg_info
+}
+
+python_test() {
+ PROJ_LIB="${EPREFIX}/usr/share/proj" pytest -ra || die
+}
diff --git a/dev-python/qscintilla-python/qscintilla-python-2.11.5.ebuild b/dev-python/qscintilla-python/qscintilla-python-2.11.5.ebuild
index 7f4e1bc02cc0..62e1639944d3 100644
--- a/dev-python/qscintilla-python/qscintilla-python-2.11.5.ebuild
+++ b/dev-python/qscintilla-python/qscintilla-python-2.11.5.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
inherit python-r1 qmake-utils
DESCRIPTION="Python bindings for QScintilla"
diff --git a/dev-python/semver/Manifest b/dev-python/semver/Manifest
index c96ef0800098..f2bda908b253 100644
--- a/dev-python/semver/Manifest
+++ b/dev-python/semver/Manifest
@@ -1 +1,2 @@
DIST semver-2.10.2.tar.gz 40449 BLAKE2B 47601c60591218a1c3ec8212520ddaed2ae9a9c6eca6cd1e9509f0ca713d4149de1c3d786a553f277f4b0be3af30c6484b8e9669cae98a6de250f74d354849b5 SHA512 64f115351d896fbab5145fe4b1438f69c713c8e864701e90a5c81f25154fd6828df14856499f17adf008b25becc474ad87e2c10db3937efbcb64bb62a58d6c75
+DIST semver-2.13.0.tar.gz 43674 BLAKE2B 35d0ca0b61836d0e6deb97f067a0c1cbba310dde6eb83d78f02f85c3f7485114ad549559d572d4494aa7c4444c7d6feabcb36394561a238489d56bfd04ed8590 SHA512 ca0d408d8bb7305e90802ea04d935cd7b76b8f166a9ec97ed3427dbc2cf60eeca0b2d27ad0cb2f15f32f5b2589d6717a63717c463183374c5335bf79e1eec222
diff --git a/dev-python/semver/semver-2.10.2.ebuild b/dev-python/semver/semver-2.10.2.ebuild
index 93c416c2168c..08e8852e531a 100644
--- a/dev-python/semver/semver-2.10.2.ebuild
+++ b/dev-python/semver/semver-2.10.2.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
@@ -15,7 +15,6 @@ SRC_URI="https://github.com/python-${PN}/python-${PN}/archive/${PV}.tar.gz -> ${
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~ppc64 ~x86"
-IUSE="test"
S="${WORKDIR}/python-${P}"
diff --git a/dev-python/semver/semver-2.13.0.ebuild b/dev-python/semver/semver-2.13.0.ebuild
new file mode 100644
index 000000000000..f01dd92eb19f
--- /dev/null
+++ b/dev-python/semver/semver-2.13.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="A Python module for semantic versioning"
+HOMEPAGE="https://github.com/python-semver/python-semver"
+SRC_URI="https://github.com/python-${PN}/python-${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+S="${WORKDIR}/python-${P}"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # contains pytest/cov args we don't want
+ rm setup.cfg || die
+ distutils-r1_python_prepare_all
+}